---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterheap003.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2910, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54F70, symBinAddr: 0x9200, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56EB0, symBinAddr: 0xB140, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x572A0, symBinAddr: 0xB530, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x58240, symBinAddr: 0xC4D0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x58250, symBinAddr: 0xC4E0, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54BE0, symBinAddr: 0x90A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54BE4, symBinAddr: 0x90A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54BE8, symBinAddr: 0x90A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x54D30, symBinAddr: 0x90B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54DE8, symBinAddr: 0x9168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x54DEC, symBinAddr: 0x916C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54DF0, symBinAddr: 0x9170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54DF4, symBinAddr: 0x9174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54DF8, symBinAddr: 0x9178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54E00, symBinAddr: 0x9180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x54E10, symBinAddr: 0x9190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x54E18, symBinAddr: 0x9198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x54E20, symBinAddr: 0x91A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x54E28, symBinAddr: 0x91A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x54E30, symBinAddr: 0x91B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x54E38, symBinAddr: 0x91B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL4info, symObjAddr: 0x54E7C, symBinAddr: 0x91CC, symSize: 0x0 }
  - { offsetInCU: 0x94F5, offset: 0x94F5, size: 0x8, addend: 0x0, symName: __ZL13foundUntagged, symObjAddr: 0x54E80, symBinAddr: 0x91D0, symSize: 0x0 }
  - { offsetInCU: 0x950E, offset: 0x950E, size: 0x8, addend: 0x0, symName: __ZL12objectsCount, symObjAddr: 0x54E84, symBinAddr: 0x91D4, symSize: 0x0 }
  - { offsetInCU: 0x9527, offset: 0x9527, size: 0x8, addend: 0x0, symName: __ZL14objectDescList, symObjAddr: 0x54E88, symBinAddr: 0x91D8, symSize: 0x0 }
  - { offsetInCU: 0x957E, offset: 0x957E, size: 0x8, addend: 0x0, symName: __ZL12fakeUserData, symObjAddr: 0x54E90, symBinAddr: 0x91E0, symSize: 0x0 }
  - { offsetInCU: 0x9597, offset: 0x9597, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x54E98, symBinAddr: 0x91E8, symSize: 0x0 }
  - { offsetInCU: 0x95B0, offset: 0x95B0, size: 0x8, addend: 0x0, symName: __ZL11chainLength, symObjAddr: 0x54EA0, symBinAddr: 0x91F0, symSize: 0x0 }
  - { offsetInCU: 0x9602, offset: 0x9602, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1470, symSize: 0x80 }
  - { offsetInCU: 0x9697, offset: 0x9697, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x13C0, symSize: 0xB0 }
  - { offsetInCU: 0x96F2, offset: 0x96F2, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x12C0, symSize: 0x100 }
  - { offsetInCU: 0x9985, offset: 0x9985, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x14F0, symSize: 0xC0 }
  - { offsetInCU: 0x99D7, offset: 0x99D7, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x15B0, symSize: 0x220 }
  - { offsetInCU: 0x9BBC, offset: 0x9BBC, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x17D0, symSize: 0xA0 }
  - { offsetInCU: 0x9C6F, offset: 0x9C6F, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1870, symSize: 0x110 }
  - { offsetInCU: 0x9D65, offset: 0x9D65, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1980, symSize: 0x150 }
  - { offsetInCU: 0x9EC2, offset: 0x9EC2, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1AD0, symSize: 0x30 }
  - { offsetInCU: 0x9FA3, offset: 0x9FA3, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1B00, symSize: 0x150 }
  - { offsetInCU: 0xA19B, offset: 0xA19B, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1C50, symSize: 0x160 }
  - { offsetInCU: 0xA45B, offset: 0xA45B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1DB0, symSize: 0x4A0 }
  - { offsetInCU: 0xA6F4, offset: 0xA6F4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x27E0, symBinAddr: 0x2250, symSize: 0xE0 }
  - { offsetInCU: 0xA7B4, offset: 0xA7B4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2330, symSize: 0x1B0 }
  - { offsetInCU: 0xA9CF, offset: 0xA9CF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x24E0, symSize: 0xA0 }
  - { offsetInCU: 0xAACA, offset: 0xAACA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2580, symSize: 0x20 }
  - { offsetInCU: 0xAB01, offset: 0xAB01, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x25A0, symSize: 0x20 }
  - { offsetInCU: 0xAB38, offset: 0xAB38, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x25C0, symSize: 0x20 }
  - { offsetInCU: 0xAC11, offset: 0xAC11, size: 0x8, addend: 0x0, symName: _nsk_jvmti_setFailStatus, symObjAddr: 0x35A0, symBinAddr: 0x25E0, symSize: 0x40 }
  - { offsetInCU: 0xACC8, offset: 0xACC8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2620, symSize: 0x1A0 }
  - { offsetInCU: 0xAFE4, offset: 0xAFE4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x27C0, symSize: 0x150 }
  - { offsetInCU: 0xB1A1, offset: 0xB1A1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2BB0, symSize: 0x1D0 }
  - { offsetInCU: 0xB49D, offset: 0xB49D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2D80, symSize: 0x80 }
  - { offsetInCU: 0xB566, offset: 0xB566, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2E00, symSize: 0x6C0 }
  - { offsetInCU: 0xC0DC, offset: 0xC0DC, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB180, symBinAddr: 0x5130, symSize: 0xB0 }
  - { offsetInCU: 0xC153, offset: 0xC153, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x34C0, symSize: 0x70 }
  - { offsetInCU: 0xC20F, offset: 0xC20F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_enableEvents, symObjAddr: 0x5190, symBinAddr: 0x3530, symSize: 0xF0 }
  - { offsetInCU: 0xC343, offset: 0xC343, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3620, symSize: 0xA0 }
  - { offsetInCU: 0xC44E, offset: 0xC44E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x36C0, symSize: 0x40 }
  - { offsetInCU: 0xC544, offset: 0xC544, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3700, symSize: 0x2B0 }
  - { offsetInCU: 0xC8EA, offset: 0xC8EA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x39B0, symSize: 0xC0 }
  - { offsetInCU: 0xCA30, offset: 0xCA30, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3A70, symSize: 0x10 }
  - { offsetInCU: 0xCAF2, offset: 0xCAF2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3A80, symSize: 0x240 }
  - { offsetInCU: 0xCDDB, offset: 0xCDDB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3CC0, symSize: 0x10 }
  - { offsetInCU: 0xCE38, offset: 0xCE38, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3CD0, symSize: 0x430 }
  - { offsetInCU: 0xD21C, offset: 0xD21C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA150, symBinAddr: 0x4100, symSize: 0x10 }
  - { offsetInCU: 0xD279, offset: 0xD279, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0xA160, symBinAddr: 0x4110, symSize: 0x1A0 }
  - { offsetInCU: 0xD350, offset: 0xD350, size: 0x8, addend: 0x0, symName: _callbackObjectFree, symObjAddr: 0xA300, symBinAddr: 0x42B0, symSize: 0x70 }
  - { offsetInCU: 0xD5E4, offset: 0xD5E4, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA370, symBinAddr: 0x4320, symSize: 0xE10 }
  - { offsetInCU: 0xE602, offset: 0xE602, size: 0x8, addend: 0x0, symName: __ZL15getChainObjectsP9_jvmtiEnvP7JNIEnv_P8_jobjectP9_jfieldIDPKcS6_S8_iP16ObjectDescStructli, symObjAddr: 0xB5A0, symBinAddr: 0x5550, symSize: 0x252 }
  - { offsetInCU: 0xE8E1, offset: 0xE8E1, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB230, symBinAddr: 0x51E0, symSize: 0x370 }
...
